package com.hw.ems.record.service;

import java.util.List;

import com.hw.common.core.domain.R;
import com.hw.ems.record.domain.RecordAlarmData;

/**
 * 异常数据记录Service接口
 *
 * @author hw
 * @date 2023-04-21
 */
public interface IRecordAlarmDataService {
    /**
     * 查询异常数据记录
     *
     * @param objId 异常数据记录主键
     * @return 异常数据记录
     */
    public RecordAlarmData selectRecordAlarmDataByObjId(Long objId);

    /**
     * 查询异常数据记录列表
     *
     * @param recordAlarmData 异常数据记录
     * @return 异常数据记录集合
     */
    public List<RecordAlarmData> selectRecordAlarmDataList(RecordAlarmData recordAlarmData);

    /**
     * 新增异常数据记录
     *
     * @param recordAlarmData 异常数据记录
     * @return 结果
     */
    public int insertRecordAlarmData(RecordAlarmData recordAlarmData);

    /**
     * 修改异常数据记录
     *
     * @param recordAlarmData 异常数据记录
     * @return 结果
     */
    public int updateRecordAlarmData(RecordAlarmData recordAlarmData);

    /**
     * 批量删除异常数据记录
     *
     * @param objIds 需要删除的异常数据记录主键集合
     * @return 结果
     */
    public int deleteRecordAlarmDataByObjIds(Long[] objIds);

    /**
     * 删除异常数据记录信息
     *
     * @param objId 异常数据记录主键
     * @return 结果
     */
    public int deleteRecordAlarmDataByObjId(Long objId);

    R<Boolean> deviceOfflineTimingTask();

    R<Boolean>  thresholdTimingTask();

    R<Boolean> hourLineLossTimingTask();

    R<Boolean> dailyConsumptionTimingTask();

}
